Skip to main content
GET
/
tokens
/
{id}
cURL
curl --request GET \
  --url https://api.axiom.co/v2/tokens/{id} \
  --header 'Authorization: Bearer <token>'
{
  "datasetCapabilities": {},
  "id": "<string>",
  "name": "<string>",
  "orgCapabilities": {
    "annotations": [],
    "apiTokens": [],
    "auditLog": [],
    "billing": [],
    "dashboards": [],
    "datasets": [],
    "endpoints": [],
    "flows": [],
    "integrations": [],
    "monitors": [],
    "notifiers": [],
    "rbac": [],
    "sharedAccessKeys": [],
    "users": [],
    "views": []
  },
  "description": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "samlAuthenticated": true,
  "viewCapabilities": {}
}

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Path Parameters

id
string
required

Response

200 - application/json

Token

datasetCapabilities
object
required
id
string
required

ID of the token

name
string
required

Name of the token

orgCapabilities
object
required
description
string

Description of the token

expiresAt
string<date-time> | null
read-only

Expiration date of the token (ISO 8601 format)

samlAuthenticated
boolean
viewCapabilities
object